Jack::JackRestartThreadedDriver Class Reference

Restart a driver after an exception is thrown. More...

`#include <JackRestartThreadedDriver.h>`

Inheritance diagram for Jack::JackRestartThreadedDriver:

## Public Member Functions

| JackRestartThreadedDriver (JackDriver *driver)
virtual bool | Execute ()
Public Member Functions inherited from Jack::JackThreadedDriver
| JackThreadedDriver (JackDriver *driver)
virtual int | Open ()
virtual int | Open (jack_nframes_t buffer_size, jack_nframes_t samplerate, bool capturing, bool playing, int inchannels, int outchannels, bool monitor, const char *capture_driver_name, const char *playback_driver_name, jack_nframes_t capture_latency, jack_nframes_t playback_latency)
virtual int | Close ()
virtual int | Process ()
virtual int | Attach ()
virtual int | Detach ()
virtual int | Read ()
virtual int | Write ()
virtual int | Start ()
virtual int | Stop ()
virtual bool | IsFixedBufferSize ()
virtual int | SetBufferSize (jack_nframes_t buffer_size)
virtual int | SetSampleRate (jack_nframes_t sample_rate)
virtual void | SetMaster (bool onoff)
virtual bool | GetMaster ()
virtual void | AddSlave (JackDriverInterface *slave)
virtual void | RemoveSlave (JackDriverInterface *slave)
virtual std::list< JackDriverInterface * > | GetSlaves ()
virtual int | ProcessReadSlaves ()
virtual int | ProcessWriteSlaves ()
virtual int | ProcessRead ()
virtual int | ProcessWrite ()
virtual int | ProcessReadSync ()
virtual int | ProcessWriteSync ()
virtual int | ProcessReadAsync ()
virtual int | ProcessWriteAsync ()
virtual int | ClientNotify (int refnum, const char *name, int notify, int sync, const char *message, int value1, int value2)
virtual JackClientControl * | GetClientControl () const
virtual bool | IsRealTime () const
virtual bool | IsRunning () const
virtual bool | Init ()

## Additional Inherited Members

Protected Member Functions inherited from Jack::JackThreadedDriver
void | SetRealTime ()
Protected Attributes inherited from Jack::JackThreadedDriver
JackThread | fThread
JackDriver * | fDriver

## Detailed Description

Restart a driver after an exception is thrown.

Definition at line 33 of file JackRestartThreadedDriver.h.

The documentation for this class was generated from the following files:

- JackRestartThreadedDriver.h
- JackRestartThreadedDriver.cpp